package com.huatek.busi.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.BusiVideoDto;
import com.huatek.busi.vo.BusiVideoVo;

/**
 * 视频流
 * @author buck_guo
 * @date 2019/07/24
 */
@Repository
public interface BusiVideoMapper {
    Page<BusiVideoVo> findBusiVideoDtoPage(BusiVideoDto busiVideoDto);
    int deleteBusiVideo(@Param("idList")List<String> idList);

    BusiVideoVo queryBusiVideoById(@Param("id") String id);

    /**
     * 根据sensorId查询视频流地址
     *
     * @param sensorId
     * @return
     */
    BusiVideoVo getRtspUrl(@Param("sensorId") String sensorId);
}
